Subject: A distribution of priority dates (with lads)

From: "Q.Zhu from NYU at Fermilab (708)840-8383" <[email-masked]>
Date: Thu, 10 Mar 94 13:23:49 CST

Hi, Everybody:

	Nowadays, everybody is talking about getting an approval notice
	for his/her LAD(s). However, it's only for those lucky guys with 
	priority date of July, 1. 

	Does anyone have any ideal what the distribution of priority date
	for all CSPAers with LADs looks like? Am I the only one with a 
	late priority date? 

	The distribution is extremely useful. It helps the unlucky people 
	here --- with late priority dates, to estimate when they might get 
	their approval notices.(How well the prediction goes depends on
	how much information we gather.) It can make a lot of people's 
	life easier --- Think about it: You know roughly when you are expecting 
	your Green card to come while you are waiting. 

	I'd certainly like to initiate the effort to make a distribution of
	priority dates for CSPAers who have LADs. Would you please help me
	on that? --- Since this net has been operated in such a friendly way,
	I'm counting on your helps. It's very improtant to have the people
	who have July 1 priority date to participate in. 
	For people with July 1 priority date: PLEASE HELP THE PEOPLE WITH
	LATER PRIORITY DATES BY LETTING ME KNOW YOU PRIORITY DATE.

	Could you ALL take 2 minutes to fill out the following lines and send 
	back to me? My e-mail address is:

			[email-masked]
	
	Thank you very much in advance.

	Best regards,
	Q.Zhu

----------Please fill in the following lines--------------------------------

************Survey of the priority dates of CSPAers with LADs**************
	Priority date:
	Number of LADs with you: 
	Home state:
	INS office with judiciary over your case:
***************************************************************************